/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.lang;

public class Object {
	
	protected native Object clone() throws CloneNotSupportedException; 

	public native boolean equals(Object other);
	
	protected native void finalize() throws Throwable;

	public native final Class<? extends Class> getClass();

	public native int hashCode();
	
	public native final void notify();
	
	public native final void notifyAll();

	public native String toString();

	public native final void wait() throws InterruptedException;
	
	public native final void wait(long timeout) throws InterruptedException;
	
	public native final void wait(long timeout, int nanos) throws InterruptedException;
}
